using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;

namespace Links
{
	/// <summary>
	/// Summary description for MySymbol.
	/// </summary>
		public class MySymbol : Symbol
		{
			private Syncfusion.Windows.Forms.Diagram.Rectangle outerRect = null;
			private Ellipse innerEllipse = null;

			public MySymbol()
			{
				//////////////////////////////////////////////////////////////////
				// Add child nodes to the symbol programmatically
				//////////////////////////////////////////////////////////////////

				// Add an outer rectangle
				this.outerRect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 120, 80);
				this.outerRect.Name = "Rectangle";
				this.outerRect.FillStyle.Color = Color.Khaki;
				this.AppendChild(outerRect);

				// Add an inner ellipse
				this.innerEllipse = new Ellipse(10, 10, 100, 60);
				this.innerEllipse.Name = "Ellipse";
				this.AppendChild(innerEllipse);
			
				//Add Label
				Label lbl = this.AddLabel("My Symbol", BoxPosition.Center);
				lbl.BackgroundStyle.Color = Color.Transparent;
			}
		}
	}
